BUILDBOX-WORKER(1)

NAME
buildbox-worker - buildbox-worker

SYNOPSIS
buildbox-worker

DESCRIPTION

--help
    Display usage and exit.

--version
    Print version information and exit. [optional]

--instance
    Instance name to pass to the Remote Workers API and the CAS servers [optional, default = ""]

--digest-function
    Set a custom digest function. Supported functions: SHA512, SHA384, SHA256, SHA1, MD5 [optional, default = "SHA256"]

--concurrent-jobs
    Number of jobs to run at once, defaults to running one job at a time [optional, default = 1]

--stop-after
    Terminate after running the given number of jobs, defaults to non-terminating [optional, default = -1]

--consecutive-errors-threshold
    Mark worker as UNHEALTHY after N consecutive errors, disabled by default (0 = disabled) [optional, default = 0]

--disk-usage-health-check
    Mark worker as UNHEALTHY if disk usage exceeds threshold. Format: --disk-usage-health-check=/path:80% Can be specified multiple times for different paths. [optional]

--remote
    URL for all services [optional]

--instance
    Instance for all services [optional]

--server-cert
    Server TLS certificate for all services (PEM-encoded) [optional]

--client-key
    Client private TLS key far all services (PEM-encoded) [optional]

--client-cert
    Client TLS certificate for all services (PEM-encoded) [optional]

--access-token
    Authentication token for all services (JWT, OAuth token etc), will be included as an HTTP Authorization bearer token [optional]

--token-reload-interval
    Default access token refresh timeout [optional]

--googleapi-auth
    Use GoogleAPIAuth for all services [optional]

--credential-helper
    Credential helper executable for all services [optional]

--retry-limit
    Retry limit for gRPC errors for all services [optional]

--retry-delay
    Retry delay for gRPC errors for all services [optional]

--retry-on-code
    gRPC status code(s) as string(s) to retry on for all services, e.g. 'UNKNOWN', 'INTERNAL' [optional]

--request-timeout
    Timeout for gRPC requests for all services (set to 0 to disable timeout) [optional]

--min-throughput
    Minimum throughput for gRPC requests for all services, bytes per seconds. The value may be suffixed with K, M, G or T. [optional]

--keepalive-time
    gRPC keepalive pings period for all services (set to 0 to disable keepalive pings) [optional]

--load-balancing-policy
    gRPC load balancing policy for all services (valid options are 'round_robin' and 'grpclb') [optional]

--bots-remote
    URL for the Bots service [optional]

--bots-instance
    Name of the Bots instance [optional]

--bots-server-cert
    Server TLS certificate for Bots (PEM-encoded) [optional]

--bots-client-key
    Client private TLS key for Bots (PEM-encoded) [optional]

--bots-client-cert
    Client TLS certificate for Bots (PEM-encoded) [optional]

--bots-access-token
    Authentication token for Bots (JWT, OAuth token etc), will be included as an HTTP Authorization bearer token [optional]

--bots-token-reload-interval
    Access token refresh timeout for Bots service [optional]

--bots-googleapi-auth
    Use GoogleAPIAuth for Bots service [optional]

--bots-credential-helper
    Credential helper executable for Bots service [optional]

--bots-retry-limit
    Retry limit for gRPC errors for Bots service [optional]

--bots-retry-delay
    Retry delay for gRPC errors for Bots service [optional]

--bots-retry-on-code
    gRPC status code(s) as string(s) to retry on for Bots service e.g., 'UNKNOWN', 'INTERNAL' [optional]

--bots-request-timeout
    Timeout for gRPC requests for Bots service (set to 0 to disable timeout) [optional]

--bots-min-throughput
    Minimum throughput for gRPC requests for Bots service, bytes per seconds. The value may be suffixed with K, M, G or T. [optional]

--bots-keepalive-time
    gRPC keepalive pings period for Bots service (set to 0 to disable keepalive pings) [optional]

--bots-load-balancing-policy
    gRPC load balancing policy for Bots service (valid options are 'round_robin' and 'grpclb') [optional]

--cas-remote
    URL for the CAS service [optional]

--cas-instance
    Name of the CAS instance [optional]

--cas-server-cert
    Server TLS certificate for CAS (PEM-encoded) [optional]

--cas-client-key
    Client private TLS key for CAS (PEM-encoded) [optional]

--cas-client-cert
    Client TLS certificate for CAS (PEM-encoded) [optional]

--cas-access-token
    Authentication token for CAS (JWT, OAuth token etc), will be included as an HTTP Authorization bearer token [optional]

--cas-token-reload-interval
    Access token refresh timeout for CAS service [optional]

--cas-googleapi-auth
    Use GoogleAPIAuth for CAS service [optional]

--cas-credential-helper
    Credential helper executable for CAS service [optional]

--cas-retry-limit
    Retry limit for gRPC errors for CAS service [optional]

--cas-retry-delay
    Retry delay for gRPC errors for CAS service [optional]

--cas-retry-on-code
    gRPC status code(s) as string(s) to retry on for CAS service e.g., 'UNKNOWN', 'INTERNAL' [optional]

--cas-request-timeout
    Timeout for gRPC requests for CAS service (set to 0 to disable timeout) [optional]

--cas-min-throughput
    Minimum throughput for gRPC requests for CAS service, bytes per seconds. The value may be suffixed with K, M, G or T. [optional]

--cas-keepalive-time
    gRPC keepalive pings period for CAS service (set to 0 to disable keepalive pings) [optional]

--cas-load-balancing-policy
    gRPC load balancing policy for CAS service (valid options are 'round_robin' and 'grpclb') [optional]

--logstream-remote
    URL for the LogStream service [optional]

--logstream-instance
    Name of the LogStream instance [optional]

--logstream-server-cert
    Server TLS certificate for LogStream (PEM-encoded) [optional]

--logstream-client-key
    Client private TLS key for LogStream (PEM-encoded) [optional]

--logstream-client-cert
    Client TLS certificate for LogStream (PEM-encoded) [optional]

--logstream-access-token
    Authentication token for LogStream (JWT, OAuth token etc), will be included as an HTTP Authorization bearer token [optional]

--logstream-token-reload-interval
    Access token refresh timeout for LogStream service [optional]

--logstream-googleapi-auth
    Use GoogleAPIAuth for LogStream service [optional]

--logstream-credential-helper
    Credential helper executable for LogStream service [optional]

--logstream-retry-limit
    Retry limit for gRPC errors for LogStream service [optional]

--logstream-retry-delay
    Retry delay for gRPC errors for LogStream service [optional]

--logstream-retry-on-code
    gRPC status code(s) as string(s) to retry on for LogStream service e.g., 'UNKNOWN', 'INTERNAL' [optional]

--logstream-request-timeout
    Timeout for gRPC requests for LogStream service (set to 0 to disable timeout) [optional]

--logstream-min-throughput
    Minimum throughput for gRPC requests for LogStream service, bytes per seconds. The value may be suffixed with K, M, G or T. [optional]

--logstream-keepalive-time
    gRPC keepalive pings period for LogStream service (set to 0 to disable keepalive pings) [optional]

--logstream-load-balancing-policy
    gRPC load balancing policy for LogStream service (valid options are 'round_robin' and 'grpclb') [optional]

--ra-remote
    URL for the Asset service [optional]

--ra-instance
    Name of the Asset instance [optional]

--ra-server-cert
    Server TLS certificate for Asset (PEM-encoded) [optional]

--ra-client-key
    Client private TLS key for Asset (PEM-encoded) [optional]

--ra-client-cert
    Client TLS certificate for Asset (PEM-encoded) [optional]

--ra-access-token
    Authentication token for Asset (JWT, OAuth token etc), will be included as an HTTP Authorization bearer token [optional]

--ra-token-reload-interval
    Access token refresh timeout for Asset service [optional]

--ra-googleapi-auth
    Use GoogleAPIAuth for Asset service [optional]

--ra-credential-helper
    Credential helper executable for Asset service [optional]

--ra-retry-limit
    Retry limit for gRPC errors for Asset service [optional]

--ra-retry-delay
    Retry delay for gRPC errors for Asset service [optional]

--ra-retry-on-code
    gRPC status code(s) as string(s) to retry on for Asset service e.g., 'UNKNOWN', 'INTERNAL' [optional]

--ra-request-timeout
    Timeout for gRPC requests for Asset service (set to 0 to disable timeout) [optional]

--ra-min-throughput
    Minimum throughput for gRPC requests for Asset service, bytes per seconds. The value may be suffixed with K, M, G or T. [optional]

--ra-keepalive-time
    gRPC keepalive pings period for Asset service (set to 0 to disable keepalive pings) [optional]

--ra-load-balancing-policy
    gRPC load balancing policy for Asset service (valid options are 'round_robin' and 'grpclb') [optional]

--max-wait-time
    Sets the maximum amount of time in seconds between worker polling the Bots service. [optional, default = 60]

--graceful-shutdown-timeout
    Sets the amount of time in seconds to wait for ongoing executions to finish during a graceful shutdown, before escalating to a forceful shutdown. If not provided, ongoing executions will run to completion during graceful shutdown. [optional]

--buildbox-run
    Absolute path to runner executable [required]

--runner-arg
    Arguments to pass buildbox-run when the worker runs a job This can be useful if the buildbox-run implementation you're using supports non-standard options [optional]

--platform
    Add a key-value pair to the 'Platform' message the worker sends to the server (see the Remote Workers API specification for keys and values you can use) format is --platform KEY=VALUE [optional]

--metrics-mode
    format is --metrics-mode=MODE where 'MODE' is one of: udp://<hostname>:<port> file:///path/to/file stderr [optional]

--metrics-publish-interval
    Metrics publishing interval [optional]

--metrics-statsd-format
    if set to any value, the format used by statsd publisher, when tagging is set. Supports 'influx', 'graphite' and 'dog', defaults to 'influx' [optional, default = "influx"]

--log-level
    Log verbosity level [optional, default = "info"]

--verbose
    Set log level to debug [optional]

--log-directory
    Write logs to this directory with filenames '<program name>.<hostname>.<user name>.log.<severity level>.<date>.<time>.<pid>' [optional, default = ""]

--config-file
    Absolute path to config file [optional, default = ""]

BOT Id
    POSITIONAL [optional]